## recoil-4.3.1.tar.gz

=== Makefile ===
PREFIX = /usr/local
XNVIEW = /opt/XnView
MAGICK_VERSION     := $(shell MagickCore-config --version 2>/dev/null)
ifdef MAGICK_VERSION
MAGICK_CFLAGS      := $(shell MagickCore-config --cflags --cppflags) -fPIC
MAGICK_LDFLAGS     := $(shell MagickCore-config --ldflags)
MAGICK_LIBS        := $(shell MagickCore-config --libs)
MAGICK_PREFIX      := $(shell MagickCore-config --prefix)
MAGICK_CODER_PATH  := $(wildcard $(MAGICK_PREFIX)/lib/ImageMagick-$(word 1,$(MAGICK_VERSION))/modules-$(word 2,$(MAGICK_VERSION))/coders)
MAGICK_CONFIG_PATH := $(wildcard $(shell MagickCore-config --exec-prefix)/etc/ImageMagick)
CAN_INSTALL_MAGICK := $(and $(MAGICK_CODER_PATH),$(MAGICK_CONFIG_PATH))
endif

CITO = cito
CC = gcc 
CFLAGS = -O2 -Wall
INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

all: recoil2png $(if $(CAN_INSTALL_MAGICK),imagemagick/recoil.so) recoil-mime.xml

recoil2png: recoil2png.c pngsave.c pngsave.h recoil-stdio.c recoil-stdio.h recoil.c recoil.h
	$(CC) $(CFLAGS) recoil2png.c pngsave.c recoil-stdio.c recoil.c -lpng -lz -o $@

ifdef CAN_INSTALL_MAGICK
imagemagick/recoil.so: imagemagick/recoilmagick.c recoil.c recoil.h formats.h
ifdef MAGICK_INCLUDE_PATH
	$(CC) $(CFLAGS) $(MAGICK_CFLAGS) -I$(MAGICK_INCLUDE_PATH) imagemagick/recoilmagick.c recoil.c -shared $(MAGICK_LDFLAGS) -ldl $(MAGICK_LIBS) -o $@
else
	@echo "\nDetected ImageMagick version $(MAGICK_VERSION) on your system."
	@echo "To build RECOIL coder for ImageMagick,"
	@echo "specify path to ImageMagick sources, e.g.:"
	@echo "$ make MAGICK_INCLUDE_PATH=/path/to/im/source"
endif
endif

formats.h: formats.h.xsl formats.xml
	xsltproc -o $@ formats.h.xsl formats.xml

# http://www.cmcrossroads.com/article/rules-multiple-outputs-gnu-make
%.c %.h: %.ci atari8.fnt altirrapal.pal c16.pal c64.fnt zx81.fnt
	$(CITO) -o $*.c $<

benchmark: benchmark.c recoil-stdio.c recoil-stdio.h recoil.c recoil.h
	$(CC) $(CFLAGS) benchmark.c recoil-stdio.c recoil.c -o $@

clean:
	rm -f recoil2png imagemagick/recoil.so imagemagick/coder.xml.new formats.h recoil-mime.xml benchmark Xrecoil.usr

install: install-thumbnailer $(if $(CAN_INSTALL_MAGICK),install-magick)

uninstall: uninstall-thumbnailer $(if $(CAN_INSTALL_MAGICK),uninstall-magick)

install-recoil2png: recoil2png
	mkdir -p $(PREFIX)/bin $(PREFIX)/share/man/man1
	$(INSTALL_PROGRAM) recoil2png $(PREFIX)/bin/recoil2png
	$(INSTALL_DATA) recoil2png.1 $(PREFIX)/share/man/man1/recoil2png.1

uninstall-recoil2png:
	rm -f $(PREFIX)/bin/recoil2png $(PREFIX)/share/man/man1/recoil2png.1

ifdef CAN_INSTALL_MAGICK

install-magick: imagemagick/updatecoder.pl formats.xml imagemagick/recoil.so
	perl imagemagick/updatecoder.pl formats.xml <$(MAGICK_CONFIG_PATH)/coder.xml >imagemagick/coder.xml.new
	mkdir -p $(MAGICK_CODER_PATH)
	$(INSTALL) imagemagick/recoil.so $(MAGICK_CODER_PATH)/recoil.so
	echo "dlname='recoil.so'" >$(MAGICK_CODER_PATH)/recoil.la
	mv imagemagick/coder.xml.new $(MAGICK_CONFIG_PATH)/coder.xml

uninstall-magick:
	perl imagemagick/updatecoder.pl <$(MAGICK_CONFIG_PATH)/coder.xml >imagemagick/coder.xml.new
	rm -f $(MAGICK_CODER_PATH)/recoil.la $(MAGICK_CODER_PATH)/recoil.so
	mv imagemagick/coder.xml.new $(MAGICK_CONFIG_PATH)/coder.xml

endif

recoil-mime.xml: recoil-mime.xsl formats.xml
	xsltproc -o $@ recoil-mime.xsl formats.xml

install-mime: recoil-mime.xml
	mkdir -p $(PREFIX)/share/mime/packages
	$(INSTALL_DATA) recoil-mime.xml $(PREFIX)/share/mime/packages/recoil-mime.xml
ifndef BUILDING_PACKAGE
	update-mime-database $(PREFIX)/share/mime
endif

uninstall-mime:
	rm -f $(PREFIX)/share/mime/packages/recoil-mime.xml
	update-mime-database $(PREFIX)/share/mime

install-thumbnailer: install-mime install-recoil2png
	mkdir -p $(PREFIX)/share/thumbnailers
	xsltproc -o $(PREFIX)/share/thumbnailers/recoil.thumbnailer recoil.thumbnailer.xsl formats.xml

uninstall-thumbnailer:
	rm -f $(PREFIX)/share/thumbnailers/recoil.thumbnailer

install-gnome2-thumbnailer: install-mime install-recoil2png gnome2-thumbnailer.xsl formats.xml
	for p in `xsltproc gnome2-thumbnailer.xsl formats.xml`; do \
		gconftool-2 --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults -s $$p/command -t string 'recoil2png -o %o %i'; \
		gconftool-2 --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults -s $$p/enable -t boolean true; \
	done

uninstall-gnome2-thumbnailer: uninstall-mime uninstall-recoil2png gnome2-thumbnailer.xsl formats.xml
	for p in `xsltproc gnome2-thumbnailer.xsl formats.xml`; do \
		gconftool-2 -u $$p/command $$p/enable; \
	done

Xrecoil.usr: Xrecoil.c formats.h recoil-stdio.c recoil-stdio.h recoil.c recoil.h
	$(CC) $(CFLAGS) Xrecoil.c recoil-stdio.c recoil.c -shared -fPIC -o $@

install-xnview: Xrecoil.usr
	mkdir -p $(XNVIEW)/Plugins
	$(INSTALL_PROGRAM) Xrecoil.usr $(XNVIEW)/Plugins/Xrecoil.usr

uninstall-xnview:
	rm -f /opt/XnView/Plugins/Xrecoil.usr

deb:
	debuild -b -us -uc

missing-examples:
# first column: extensions that are missing in examples
# second column: unknown extension in examples, perhaps companion files
	bash -c 'comm -3 <( xsltproc formats.ext.xsl formats.xml ) <( ls ../examples | perl -ne "s/.+\.// and print uc" | /usr/bin/sort -u )'

cmp-examples: recoil2png
	rm -f ../png/*.png
	for p in ../examples/*; do \
		./recoil2png -o "../png/$${p#../examples/}.png" "$$p" && cmp "../ref/$${p#../examples/}.png" "../png/$${p#../examples/}.png"; \
	done

.PHONY: all clean install uninstall install-recoil2png uninstall-recoil2png $(if $(CAN_INSTALL_MAGICK),install-magick uninstall-magick) \
	install-mime uninstall-mime install-thumbnailer uninstall-thumbnailer install-gnome2-thumbnailer uninstall-gnome2-thumbnailer \
	install-xnview uninstall-xnview deb missing-examples cmp-examples

.DELETE_ON_ERROR:

=== java/Makefile ===
VERSION = 4.3.1
SEVENZIP = 7z a -mx=9 -bd -bso0

RESOURCES := ../atari8.fnt ../altirrapal.pal ../c16.pal ../c64.fnt ../zx81.fnt

all: recoil-$(VERSION)-java.jar recoil-$(VERSION)-javadoc.zip

recoil-4.2.0-ALPHA3-java.jar: net/sf/recoil/RECOIL.class net/sf/recoil/atari8.fnt
	jar cf $@ net

net/sf/recoil/RECOIL.class: java/RECOIL.java
	mkdir -p $(@D) && javac -d . java/*.java

net/sf/recoil/atari8.fnt: $(RESOURCES)
	mkdir -p $(@D) && cp $^ $(@D)

java/RECOIL.java: ../recoil.ci $(RESOURCES)
	mkdir -p $(@D) && cito -o $@ -n net.sf.recoil -I .. $<

recoil-$(VERSION)-javadoc.zip: recoil-$(VERSION)-javadoc/index.html
	$(SEVENZIP) -tzip $@ $(<D)

recoil-$(VERSION)-javadoc/index.html: java/RECOIL.java
	javadoc -d $(@D) java/*.java

clean:
	$(RM) recoil-$(VERSION)-java.jar recoil-$(VERSION)-javadoc.zip
	rm -rf net java recoil-$(VERSION)-javadoc

.PHONY: clean

=== osx/Makefile ===
VERSION = 4.3.1

QLRECOIL = bin/RECOIL.qlgenerator/Contents/MacOS/qlrecoil 
PLIST = bin/RECOIL.qlgenerator/Contents/Info.plist

recoil-$(VERSION)-macos.dmg: bin/QuickLook $(QLRECOIL) $(PLIST) bin/XnViewMP bin/Xrecoil.usr bin/bin bin/recoil2png
	hdiutil create -volname recoil-$(VERSION)-macos -srcfolder bin -format UDBZ -fs HFS+ -imagekey bzip2-level=3 -ov $@

bin/QuickLook:
	mkdir -p $(@D) && ln -s /Library/QuickLook $@

$(QLRECOIL): qlrecoil.c ../recoil-stdio.c ../recoil-stdio.h ../recoil.c ../recoil.h
# As of Xcode 4.6.3, -O2 allocates a 2.5MB of stack for RECOIL_Decode, which causes non-deterministic bus errors :(
	mkdir -p $(@D) && gcc -O1 -Wall -o $@ -I .. -dynamiclib -arch x86_64 -arch i386 -mmacosx-version-min=10.5 qlrecoil.c ../recoil-stdio.c ../recoil.c -framework QuickLook -framework ApplicationServices -framework CoreFoundation && strip -x $@

$(PLIST): Info.plist.xsl ../formats.xml
	mkdir -p $(@D) && xsltproc -o $@ Info.plist.xsl ../formats.xml

bin/XnViewMP:
	mkdir -p $(@D) && ln -s /Applications/XnViewMP.app/Contents/MacOS/Plugins $@

bin/Xrecoil.usr: ../Xrecoil.c ../formats.h ../recoil-stdio.c ../recoil-stdio.h ../recoil.c ../recoil.h
	mkdir -p $(@D) && gcc -O1 -Wall -o $@ -I .. -dynamiclib -mmacosx-version-min=10.5 ../Xrecoil.c ../recoil-stdio.c ../recoil.c

../formats.h: ../formats.h.xsl ../formats.xml
	xsltproc -o $@ ../formats.h.xsl ../formats.xml

bin/bin:
	mkdir -p $(@D) && ln -s /usr/local/bin $@

bin/recoil2png: ../recoil2png.c ../pngsave.c ../pngsave.h ../recoil-stdio.c ../recoil-stdio.h ../recoil.c ../recoil.h
	mkdir -p $(@D) && gcc -O1 -Wall -o $@ -I .. ../recoil2png.c ../pngsave.c ../recoil-stdio.c ../recoil.c /usr/local/lib/libpng.a -lz

%.c %.h: %.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../c64.fnt ../zx81.fnt
	cito -o $*.c -I .. $<

clean:
	rm -rf recoil-$(VERSION)-macos.dmg bin  ../formats.h

.PHONY: clean

.DELETE_ON_ERROR:

=== win32/Makefile ===
VERSION = 4.3.1

CITO = cito
XSLTPROC = xsltproc -o $@ $^
CFLAGS = -Wall -O2 -s
CSOURCES = $(patsubst %/,-I%,$(sort $(dir $(filter %.h,$^)))) $(^:%.h=)
LDFLAGS_DLL = -shared -Wl,--kill-at -Wl,-subsystem,windows
CC = $(@D)-w64-mingw32-gcc -o $@ $(CFLAGS) $(CSOURCES)
CXX = $(@D)-w64-mingw32-g++ -o $@ $(CFLAGS) $(CSOURCES)
WINDRES = $(@D)-w64-mingw32-windres -o $@
CSC = C:/Windows/Microsoft.NET/Framework/v4.0.30319/csc.exe -nologo -o+ -out:$@
RM = rm -f
UNIX2DOS = unix2dos <$< >$@
GIT = git
TAR = /usr/bin/tar
SEVENZIP = 7z a -mx=9 -bd -bso0
CANDLE = candle -ext WixUtilExtension -nologo -o $@
LIGHT = light -ext WixUtilExtension -nologo -o $@ -spdb
MAGICK = magick
IMAGEMAGICK_i686_DIR = C:\Program Files (x86)\ImageMagick-6.9.10-Q16
IMAGEMAGICK_x86_64_DIR = C:\Program Files\ImageMagick-6.9.10-Q16
PAINT_NET_DIR = C:\Program Files\paint.net
ifdef V
DO = mkdir -p $(@D) && 
else
DO = @echo $@ && mkdir -p $(@D) && 
endif

WIN32_BIN = i686/recoil2png.exe i686/IM_MOD_RL_recoil_.dll i686/Xrecoil.usr i686/recoilwin.exe i686/thumbrecoil.dll i686/RECOIL.plg paint.net/RecoilPaintDotNet.dll
WIN64_BIN = $(WIN32_BIN) x86_64/IM_MOD_RL_recoil_.dll x86_64/Xrecoil.usr x86_64/thumbrecoil.dll x86_64/RECOIL.plg64

all: $(WIN32_BIN)

i686/recoil2png.exe: ../recoil2png.c ../pngsave.c ../pngsave.h ../recoil-stdio.c ../recoil-stdio.h ../recoil.c ../recoil.h
	$(DO)$(CC) -static -lpng16 -lz

i686/IM_MOD_RL_recoil_.dll x86_64/IM_MOD_RL_recoil_.dll: ../imagemagick/recoilmagick.c ../formats.h ../recoil.c ../recoil.h
	$(DO)$(CC) $(LDFLAGS_DLL) -I"$(IMAGEMAGICK_$(@D)_DIR)"/include -lCORE_RL_magick_ -L"$(IMAGEMAGICK_$(@D)_DIR)"
 
i686/Xrecoil.usr x86_64/Xrecoil.usr: ../Xrecoil.c ../formats.h ../recoil-stdio.c ../recoil-stdio.h ../recoil.c ../recoil.h
	$(DO)$(CC) $(LDFLAGS_DLL)

%/recoilwin.exe: recoilwin/recoilwin.c recoilwin/recoilwin.h recoil-win32.c recoil-win32.h %/recoilwin-res.o ../pngsave.c ../pngsave.h ../formats.h ../recoil.c ../recoil.h
	$(DO)$(CC) -Wl,-subsystem,windows -lcomctl32 -lcomdlg32 -lgdi32 -static -lpng16 -lz

i686/recoilwin-res.o x86_64/recoilwin-res.o: recoilwin/recoilwin.rc recoilwin/recoilwin.h recoil.ico ../recoil.h
	$(DO)$(WINDRES) -I.. $<

i686/thumbrecoil.dll x86_64/thumbrecoil.dll: thumbrecoil/thumbrecoil.cpp ../formats.h recoil-win32.c recoil-win32.h ../recoil.c ../recoil.h
	$(DO)$(CXX) $(LDFLAGS_DLL) -static -lgdi32 -lole32 -luuid

i686/RECOIL.plg x86_64/RECOIL.plg64: imagine/recoilimagine.c ../formats.h ../recoil.c ../recoil.h
	$(DO)$(CC) $(LDFLAGS_DLL)

paint.net/RecoilPaintDotNet.dll: paint.net/RecoilPaintDotNet.cs paint.net/RecoilFileTypeFactory.cs paint.net/RECOIL.cs
	$(DO)$(CSC) -t:library $(subst /,\\,$^) -r:"$(PAINT_NET_DIR)\PaintDotNet.Base.dll" -r:"$(PAINT_NET_DIR)\PaintDotNet.Data.dll"

paint.net/RecoilFileTypeFactory.cs: paint.net/RecoilFileTypeFactory.cs.xsl ../formats.xml
	$(DO)$(XSLTPROC)

paint.net/RECOIL.cs: ../recoil.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../c64.fnt ../zx81.fnt
	$(DO)$(CITO) -o $@ -I .. -n Recoil $<

i686/by-platform.exe: by-platform.c recoil-win32.c recoil-win32.h ../recoil.c ../recoil.h
	$(DO)$(CC)

../formats.h: ../formats.h.xsl ../formats.xml
	$(DO)$(XSLTPROC)

# http://www.cmcrossroads.com/article/rules-multiple-outputs-gnu-make
%.c %.h: %.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../c64.fnt ../zx81.fnt
	$(DO)$(CITO) -o $*.c -I .. $<

recoil.ico: ../recoil-512x512.png
	$(DO)$(MAGICK) $< -resize 48x48 $@

COPYING.txt: ../COPYING
	$(DO)$(UNIX2DOS)

setup: ../../recoil-$(VERSION)-win32.msi

x64-setup: ../../recoil-$(VERSION)-win64.msi

../../recoil-$(VERSION)-win32.msi: i686/recoil.wixobj recoil.ico setup/dialog.jpg setup/banner.jpg setup/license.rtf $(WIN32_BIN)
	$(DO)$(LIGHT) -ext WixUIExtension -sice:ICE69 $<

../../recoil-$(VERSION)-win64.msi: x86_64/recoil.wixobj recoil.ico setup/dialog.jpg setup/banner.jpg setup/license.rtf $(WIN64_BIN)
	$(DO)$(LIGHT) -ext WixUIExtension -sice:ICE69 -sice:ICE80 $<

i686/recoil.wixobj x86_64/recoil.wixobj: setup/recoil.wxs setup/formats.wxi
	$(DO)$(CANDLE) $(and $(@D:i686=), -arch x64) $<

setup/formats.wxi: setup/formats.wxi.xsl ../formats.xml
	$(DO)$(XSLTPROC)

setup/dialog.jpg: ../recoil-512x512.png
	$(DO)$(MAGICK) $< -resize 148 -extent 493x312-16-82 -strip $@

setup/banner.jpg: ../recoil-512x512.png
	$(DO)$(MAGICK) $< -resize 48 -extent 493x58-425-5 -strip $@

../MANIFEST:
	$(DO)test -e ../.git && ( \
		($(GIT) --git-dir=../.git ls-files | grep -vF .gitignore \
			&& echo MANIFEST && echo recoil.c && echo recoil.h) | sort | dos2unix >$@; \
	)

srcdist: ../../recoil-$(VERSION).tar.gz

../../recoil-$(VERSION).tar.gz: ../MANIFEST ../recoil.c ../recoil.h
	$(DO)$(RM) $@ && $(TAR) -c --numeric-owner --owner=0 --group=0 --mode=644 -C .. -T ../MANIFEST --transform=s,,recoil-$(VERSION)/, | $(SEVENZIP) -tgzip -si $@

dist: srcdist ../../recoil-$(VERSION)-win32.zip setup x64-setup

../../recoil-$(VERSION)-win32.zip: COPYING.txt $(WIN32_BIN)
	$(DO)$(RM) $@ && $(SEVENZIP) -tzip $@ COPYING.txt $(WIN32_BIN:%=./%)

deb64:
	scp ../../recoil-$(VERSION).tar.gz vm:.
	ssh vm 'rm -rf recoil-$(VERSION) && tar xf recoil-$(VERSION).tar.gz && make -C recoil-$(VERSION) deb'
	scp vm:recoil-2png_$(VERSION)-1_amd64.deb vm:recoil-xnview_$(VERSION)-1_amd64.deb vm:recoil-thumbnailer_$(VERSION)-1_all.deb ../../

deb32:
	scp ../../recoil-$(VERSION).tar.gz vm:.
	ssh vm 'rm -rf recoil-$(VERSION) && tar xf recoil-$(VERSION).tar.gz && make -C recoil-$(VERSION) deb'
	scp vm:recoil-2png_$(VERSION)-1_i386.deb vm:recoil-xnview_$(VERSION)-1_i386.deb ../../

rpm64:
	scp ../../recoil-$(VERSION).tar.gz vm:.
	ssh vm 'rpmbuild -tb recoil-$(VERSION).tar.gz'
	scp vm:rpmbuild/RPMS/x86_64/recoil-2png-$(VERSION)-1.x86_64.rpm vm:rpmbuild/RPMS/noarch/recoil-thumbnailer-$(VERSION)-1.noarch.rpm ../../

rpm32:
	scp ../../recoil-$(VERSION).tar.gz vm:.
	ssh vm 'rpmbuild -tb recoil-$(VERSION).tar.gz'
	scp vm:rpmbuild/RPMS/i686/recoil-2png-$(VERSION)-1.i686.rpm ../../

clean:
	$(RM) $(WIN64_BIN) i686/recoilwin-res.o recoil.ico COPYING.txt \
		i686/recoil.wixobj x86_64/recoil.wixobj setup/formats.wxi setup/dialog.jpg setup/banner.jpg \
		paint.net/RecoilFileTypeFactory.cs paint.net/RECOIL.cs ../formats.h

.PHONY: all clean setup x64-setup ../MANIFEST srcdist dist deb64 deb32 rpm64 rpm32 ../../recoil-$(VERSION).tar.gz

.DELETE_ON_ERROR:

=== www/Makefile ===
TARGETS = index.html formats.html html5recoil.html news.html contact.html privacy.html recoil.js

all: $(TARGETS)

%.html: %.xml www.xsl ../formats.xml
	xsltproc www.xsl $< | xmllint --schema /etc/xml/xhtml5.xsd --nonet -o $@ -

recoil.js: ../recoil.ci ../atari8.fnt ../altirrapal.pal ../c16.pal ../c64.fnt ../zx81.fnt
	cito -o $@ -l js-ta -I .. $<

clean:
	$(RM) $(TARGETS)

.PHONY: all clean

.DELETE_ON_ERROR:

=== debian/changelog ===
recoil (4.3.1-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Wed, 5 Dec 2018 21:08:30 +0100

recoil (4.3.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Sun, 10 Jun 2018 11:17:46 +0200

recoil (4.2.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Tue, 20 Feb 2018 16:06:42 +0100

recoil (4.1.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Wed, 18 Oct 2017 18:45:04 +0100

recoil (4.0.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Wed, 17 May 2017 13:21:57 +0200

recoil (3.5.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Thu, 1 Dec 2016 18:15:54 +0100

recoil (3.4.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Tue, 2 Feb 2016 09:27:52 +0100

recoil (3.3.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Fri, 7 Aug 2015 17:56:32 +0200

recoil (3.2.0-1) UNRELEASED; urgency=low

  * New release.

 -- Piotr Fusik <fox@scene.pl>  Wed, 28 Jan 2015 10:42:15 +0100

recoil (3.1.0-1) UNRELEASED; urgency=low

  * First deb packaging.

 -- Piotr Fusik <fox@scene.pl>  Wed, 25 Jun 2014 09:58:19 +0200

=== debian/control ===
Source: recoil
Maintainer: Piotr Fusik <fox@scene.pl>
Section: graphics
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7), gcc, libpng-dev, xsltproc

Package: recoil-2png
Architecture: any
Depends: ${shlibs:Depends}
Description: Provides "recoil2png" command-line converter
 of pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore 16/64/128, Macintosh 128K, MSX, NEC PC-88/PC-98,
 Oric, Psion Series 3, SAM Coupe, Sharp X68000, Timex 2048, TRS-80,
 TRS-80 Color Computer, ZX81 and ZX Spectrum computers.

Package: recoil-thumbnailer
Architecture: all
Depends: recoil-2png
Description: GNOME thumbnailer for pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore 16/64/128, Macintosh 128K, MSX, NEC PC-88/PC-98,
 Oric, Psion Series 3, SAM Coupe, Sharp X68000, Timex 2048, TRS-80,
 TRS-80 Color Computer, ZX81 and ZX Spectrum computers.

Package: recoil-xnview
Architecture: any
Depends: ${shlibs:Depends}
Description: Plugin for XnView MP to decode pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore 16/64/128, Macintosh 128K, MSX, NEC PC-88/PC-98,
 Oric, Psion Series 3, SAM Coupe, Sharp X68000, Timex 2048, TRS-80,
 TRS-80 Color Computer, ZX81 and ZX Spectrum computers.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# skip "make clean" to avoid dependency on cito
override_dh_auto_clean:

override_dh_auto_install:
	$(MAKE) PREFIX=$$(pwd)/debian/tmp/usr XNVIEW=$$(pwd)/debian/tmp/opt/XnView BUILDING_PACKAGE=1 install-thumbnailer install-xnview
